## soapval

Description

For creating serializable abstractions of native PHP types. This class

allows element name/namespace, XSD type, and XML attributes to be associated with a value. This is extremely useful when WSDL is not used, but is also useful when WSDL is used with polymorphic types, including xsd:anyType and user-defined types.

- access: public
- version: $Id: soapval.html,v 1.2 2010/04/26 20:25:21 snichol Exp $
- author: Dietrich Ayala <dietrich@ganx4.com>

Located in /nusoap.php (line 2066)

    nusoap_base
       |
       --soapval

Variable Summary
mixed $attributes
mixed $element_ns
string $name
mixed $type
mixed $type_ns
mixed $value
Method Summary
soapval soapval ([string $name = 'soapval'], [mixed $type = false], [mixed $value = -1], [mixed $element_ns = false], [mixed $type_ns = false], [mixed $attributes = false])
mixed decode ()
string serialize ([string $use = 'encoded'])
Variables
mixed $attributes (line 2108)

The XML element attributes (array or false)

- access: private

mixed $element_ns (line 2094)

The XML element namespace (string or false)

- access: private

string $name (line 2073)

The XML element name

- access: private

mixed $type (line 2080)

The XML type name (string or false)

- access: private

mixed $type_ns (line 2101)

The XML type namespace (string or false)

- access: private

mixed $value (line 2087)

The PHP value

- access: private

#### Inherited Variables

Inherited from nusoap_base

> nusoap_base::$charencoding
> nusoap_base::$debugLevel
> nusoap_base::$debug_str
> nusoap_base::$error_str
> nusoap_base::$namespaces
> nusoap_base::$revision
> nusoap_base::$soap_defencoding
> nusoap_base::$title
> nusoap_base::$typemap
> nusoap_base::$usedNamespaces
> nusoap_base::$version
> nusoap_base::$xmlEntities
> nusoap_base::$XMLSchemaVersion

Methods
Constructor soapval (line 2121)

constructor

- access: public

soapval soapval ([string $name = 'soapval'], [mixed $type = false], [mixed $value = -1], [mixed $element_ns = false], [mixed $type_ns = false], [mixed $attributes = false])

- string $name: optional name
- mixed $type: optional type name
- mixed $value: optional value
- mixed $element_ns: optional namespace of value
- mixed $type_ns: optional namespace of type
- mixed $attributes: associative array of attributes to add to element serialization

decode (line 2148)

decodes a soapval object into a PHP native type

- access: public

mixed decode ()
serialize (line 2138)

return serialized value

- return: XML data
- access: public

string serialize ([string $use = 'encoded'])

- string $use: The WSDL use value (encoded|literal)

#### Inherited Methods

Inherited From nusoap_base

> nusoap_base::nusoap_base()
> nusoap_base::appendDebug()
> nusoap_base::clearDebug()
> nusoap_base::contractQname()
> nusoap_base::debug()
> nusoap_base::expandEntities()
> nusoap_base::expandQname()
> nusoap_base::formatDump()
> nusoap_base::getDebug()
> nusoap_base::getDebugAsXMLComment()
> nusoap_base::getDebugLevel()
> nusoap_base::getError()
> nusoap_base::getGlobalDebugLevel()
> nusoap_base::getLocalPart()
> nusoap_base::getmicrotime()
> nusoap_base::getNamespaceFromPrefix()
> nusoap_base::getPrefix()
> nusoap_base::getPrefixFromNamespace()
> nusoap_base::isArraySimpleOrStruct()
> nusoap_base::serializeEnvelope()
> nusoap_base::serialize_val()
> nusoap_base::setDebugLevel()
> nusoap_base::setError()
> nusoap_base::setGlobalDebugLevel()
> nusoap_base::varDump()
> nusoap_base::__toString()

Documentation generated on Mon, 26 Apr 2010 16:17:05 -0400 by phpDocumentor 1.3.0RC3